@import "color_themes"
@import "notifications"
@import "lib"

$debug: false

@if $debug
    *
        border: 2px solid red
        box-sizing: border-box


*
    margin: 0
    padding: 0

body
    width: 100%
    height: 100%
    overflow-x: hidden
    background: var(--color-background)
    color: var(--color-font)

.pageHeader
    background-color: var(--color-elevation-100)
    padding: 10px
    position: relative
    border-bottom: 2px solid var(--color-border-weaken)
    z-index: 10
    width: 100%
    height: 3rem
    display: flex
    box-sizing: content-box

    .pageTitle
        font-size: 2rem
        height: 3rem
        line-height: 3rem

    .pageSubtitle
        font-size: 2rem
        margin-left: 5px
        color: var(--color-font-accent)
        height: 3rem
        line-height: 3rem

    .fill-width
        position: relative
        flex: 1

        $login-button-height: 30px
        $options-button-height: 30px
        $triangle-size: 10px

        .login-container
            @extend %center-vertically
            right: 90px
            height: $login-button-height
            width: $login-button-height

            .login-button
                @extend %center-vertically
                width: $login-button-height
                height: $login-button-height
                background-image: url("../assets/settings-24px.svg")

        .options-container
            @extend %center-vertically
            right: 30px
            height: $options-button-height
            width: $options-button-height

            .options-button
                @extend %center-vertically
                width: $options-button-height
                height: $options-button-height
                background-image: url("../assets/settings-24px.svg")

                &:after
                    // hack to have more :hover area
                    position: absolute
                    box-sizing: content-box
                    bottom: -$triangle-size
                    left: -20px
                    border-style: solid
                    border-color: transparent
                    border-bottom-width: $triangle-size
                    border-left-width: 20px
                    width: $options-button-height
                    height: $options-button-height
                    content: " "

            &:hover > .options-window
                visibility: visible
                opacity: 1
                display: block
                transition: all 3s

            .options-window
                visibility: hidden
                opacity: 0
                display: none
                position: absolute
                transition: all 0.5s ease
                right: 0
                top: 100%
                margin-top: $triangle-size
                width: 400px
                background-color: var(--color-elevation-10)
                // TODO: new color
                box-shadow: 10px 10px 5px 0 rgba(0, 0, 0, 0.75)
                border-radius: 3px

                // Triangle at the top
                &:after
                    position: absolute
                    top: 0
                    left: 100%
                    margin-left: calc(-#{$triangle-size} * 2 - 5px)
                    margin-top: -$triangle-size
                    width: 0
                    border-bottom: $triangle-size solid var(--color-elevation-10)
                    // TODO: change when background changes
                    border-right: $triangle-size solid transparent
                    border-left: $triangle-size solid transparent
                    content: " "
                    font-size: 0
                    line-height: 0

                .options-section
                    box-sizing: content-box
                    clear: both
                    width: calc(100% - 10px)
                    padding-left: 10px
                    border-bottom: 1px solid var(--color-border-weaken)

                    p
                        font-size: 1.3rem

                    .option-container
                        display: flex
                        position: relative

                        label
                            height: 3rem
                            line-height: 3rem
                            color: var(--color-font)
                            font-size: 1rem

                        input
                            margin-left: 10px


#backgroundCanvas
    position: fixed
    top: 0
    left: 0
    z-index: -10

input
    color: var(--color-font)
